For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • POSTMove feature to project
      • PUT[BETA] Update a milestone strategy
      • GET[BETA] Get partial updates (SDK)
      • PUT[BETA] Change a feature environment safeguard
      • DEL[BETA] Delete a feature environment safeguard
      • POSTValidate a feature flag name.
      • GETGet all tags for a feature.
      • POSTAdds a tag to a feature.
      • PUTUpdates multiple tags for a feature.
      • DELRemoves a tag from a feature.
      • GETGet a feature environment
      • POSTDisable a feature flag
      • POSTEnable a feature flag
      • POSTBulk enable a list of features
      • POSTBulk disable a list of features
      • GETGet feature flag strategies
      • POSTAdd a strategy to a feature flag
      • GETGet a strategy configuration
      • PUTUpdate a strategy
      • DELDelete a strategy from a feature flag
      • PATCHChange specific properties of a strategy
      • POSTSet strategy sort order
      • GETGet all features in a project
      • POSTAdd a new feature flag
      • POSTClone a feature flag
      • GETGet a feature
      • PUTUpdate a feature flag
      • DELArchive a feature flag
      • PATCHModify a feature flag
      • POSTMark features as stale / not stale
      • GETGet variants for a feature in an environment
      • PUTCreate (overwrite) variants for a feature in an environment
      • PATCHPatch a feature's variants in an environment
      • PUTCreate (overwrite) variants for a feature flag in multiple environments
      • POSTValidates archive features
      • POSTArchives a list of features
      • GET[BETA] Get feature lifecycle
      • POST[BETA] Set feature completed
      • POST[BETA] Set feature uncompleted
      • POST[BETA] Create a feature link
      • PUT[BETA] Update a feature link
      • DEL[BETA] Delete a feature link
      • GET[BETA] Get all features lifecycle stage count
      • POSTValidate constraint
      • POSTAdd feature to favorites
      • DELRemove feature from favorites
      • POSTAdd project to favorites
      • DELRemove project from favorites

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIFeature flags

Change specific properties of a strategy

||View as Markdown|
PATCH
https://app.unleash-instance.example.com/api/admin/projects/:projectId/features/:featureName/environments/:environment/strategies/:strategyId
PATCH
/api/admin/projects/:projectId/features/:featureName/environments/:environment/strategies/:strategyId
$curl -X PATCH https://app.unleash-instance.example.com/api/admin/projects/projectId/features/featureName/environments/environment/strategies/strategyId \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '[
> {
> "path": "/type",
> "op": "replace"
> }
>]'
1{
2 "name": "flexibleRollout",
3 "id": "6b5157cb-343a-41e7-bfa3-7b4ec3044840",
4 "title": "Gradual Rollout 25-Prod",
5 "disabled": false,
6 "featureName": "myAwesomeFeature",
7 "sortOrder": 9999,
8 "segments": [
9 1,
10 2
11 ],
12 "constraints": [
13 {
14 "contextName": "appName",
15 "operator": "IN",
16 "caseInsensitive": false,
17 "inverted": false,
18 "values": [
19 "my-app",
20 "my-other-app"
21 ],
22 "value": "my-app"
23 }
24 ],
25 "variants": [
26 {
27 "name": "blue_group",
28 "weight": 1,
29 "weightType": "fix",
30 "stickiness": "custom.context.field",
31 "payload": {
32 "type": "json",
33 "value": "{\"color\": \"red\"}"
34 }
35 }
36 ],
37 "parameters": {}
38}
Change specific properties of a strategy configuration in a feature flag.
Was this page helpful?
Previous

Set strategy sort order

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired
featureNamestringRequired
environmentstringRequired
strategyIdstringRequired

Request

patchesSchema
pathstringRequired
The path to the property to operate on
openumRequired
The kind of operation to perform
fromstringOptional
The target to move or copy from, if performing one of those operations
valueanyOptional
The value to add or replace, if performing one of those operations

Response

featureStrategySchema
namestring
The name or type of strategy
idstring
A uuid for the feature strategy
titlestring or null
A descriptive title for the strategy
disabledboolean or null
A toggle to disable the strategy. defaults to false. Disabled strategies are not evaluated or returned to the SDKs
featureNamestring
The name or feature the strategy is attached to
sortOrderdouble
The order of the strategy in the list
segmentslist of doubles
A list of segment ids attached to the strategy
constraintslist of objects

A list of the constraints attached to the strategy. See https://docs.getunleash.io/concepts/activation-strategies#constraints

variantslist of objects
Strategy level variants
parametersmap from strings to strings
A list of parameters for a strategy

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
415
Unsupported Media Type Error